You are not logged in.

#1 2012-11-13 22:53:21

neonapster001
Member
Registered: 2012-11-13
Posts: 2

[SOLVED] Cannot remove LXDE

Hi all,

I installed archbang from the latest testing ISO of November. After installation, I installed KDE as that is my preferred DE. Once done, I wanted to uninstall LXDE which was default of archbang. This is the error I get when I try uninstalling LXDE using pacman.

$ sudo pacman -R lxde
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: obconf: requires openbox
:: obmenu: requires openbox
:: openbox-menu: requires menu-cache
:: openbox-menu: requires lxmenu-data
:: openbox-themes: requires openbox

Please help me in uninstalling the LXDE from the installation..

Thanks in advance..

Last edited by neonapster001 (2012-11-14 19:50:32)

Offline

#2 2012-11-13 23:19:01

handy
Member
Registered: 2011-11-03
Posts: 505

Re: [SOLVED] Cannot remove LXDE

LXDE is a DE (desktop environment) which uses the Openbox WM (window manager). When you have LXDE installed, Openbox is one of LXDE's dependencies.

Are you using Openbox with KDE? I expect not.

If not, you should be able to remove LXDE with all of the listed dependencies. Whether you will still have complications after doing so or not I can't say.

You would have to try it & see. If there are any problems you will need to post them here so you can get help.

For starters you will need to use a line that includes those that you listed above:

pacman -R lxde obconf obmenu openbox-menu openbox-menu lxmenu-data openbox-themes openbox

After using the above line you may find that you have other dependencies that you will have to add to it to get done what you want.

Last edited by handy (2012-11-14 01:21:29)

Offline

#3 2012-11-13 23:38:48

Mr Green
Administrator
Registered: 2010-11-07
Posts: 6,920

Re: [SOLVED] Cannot remove LXDE


Comments, suggestions please feel free to contact me mrgreen(at)archbang(dot)org

Offline

#4 2012-11-14 03:53:09

ArchVortex
Retired
From: Ts’elxweyeqw, Canada
Registered: 2011-04-01
Posts: 1,465

Re: [SOLVED] Cannot remove LXDE

First of all, LXDE is not the default of ArchBang. Openbox is the default and that's why you're having trouble removing it. Openbox is the window manager that we use that also serves as the DE. Something like:

# pacman -Rns openbox

should get rid of Openbox and its dependencies/configuration files but not all of the Openbox related packages in ArchBang are dependent. handy has already listed some.

Personally, I would leave openbox and the few other packages with it in case KDE lives up to its reputation (KrashDE) and requires fixing. At least then you have a functional desktop in case something with KDE goes wrong. The amount of space required for the Openbox packages is minimal and is a good backup.


You have the capacity to learn from mistakes. You'll learn a lot today.
FP:E5F8 7DBA 8128 9ACB 75F7 7279 BE34 AB66 76D9 16DE
KEY ID:76D916DE
Currently running ArchBang / LFS / OpenSUSE Tumbleweed

Offline

#5 2012-11-14 06:20:49

Mr Green
Administrator
Registered: 2010-11-07
Posts: 6,920

Re: [SOLVED] Cannot remove LXDE

Or install Razor-Qt wink


Comments, suggestions please feel free to contact me mrgreen(at)archbang(dot)org

Offline

#6 2012-11-14 08:16:27

oliver
Administrator
Registered: 2010-11-04
Posts: 2,209

Re: [SOLVED] Cannot remove LXDE

Mr Green wrote:

Or install Razor-Qt wink


might have to give this a try

Offline

#7 2012-11-14 19:48:20

neonapster001
Member
Registered: 2012-11-13
Posts: 2

Re: [SOLVED] Cannot remove LXDE

Thanks handy! I ended up using the following command, since the full version was giving me error on duplicate targets..

pacman -R lxde obconf obmenu openbox-menu openbox-themes

Now I can have peace with myself.. 

Thanks friends! You guys are the best!! smile

Offline

Board footer

Powered by FluxBB